# Method: projects.locations.streams.get

- [HTTP request](https://docs.cloud.google.com/datastream/docs/reference/rest/v1/projects.locations.streams/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/datastream/docs/reference/rest/v1/projects.locations.streams/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/datastream/docs/reference/rest/v1/projects.locations.streams/get#body.request_body)
- [Response body](https://docs.cloud.google.com/datastream/docs/reference/rest/v1/projects.locations.streams/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/datastream/docs/reference/rest/v1/projects.locations.streams/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/datastream/docs/reference/rest/v1/projects.locations.streams/get#body.aspect_1)
- [Examples](https://docs.cloud.google.com/datastream/docs/reference/rest/v1/projects.locations.streams/get#examples)
- [Try it!](https://docs.cloud.google.com/datastream/docs/reference/rest/v1/projects.locations.streams/get#try-it)

Use this method to get details about a stream.

### HTTP request

`GET https://datastream.googleapis.com/v1/{name}`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the stream resource to get. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `datastream.streams.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/datastream/docs/reference/rest/v1/projects.locations.streams#Stream`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `datastream.streams.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).